IO
==

.. autoclass:: magic_pdf.data.io.base.IOReader
   :members:
   :inherited-members:
   :show-inheritance:

.. autoclass:: magic_pdf.data.io.base.IOWriter
   :members:
   :inherited-members:
   :show-inheritance:

.. autoclass:: magic_pdf.data.io.s3.S3Reader
   :members:
   :inherited-members:
   :show-inheritance:

.. autoclass:: magic_pdf.data.io.s3.S3Writer
   :members:
   :inherited-members:
   :show-inheritance:

.. autoclass:: magic_pdf.data.io.http.HttpReader
   :members:
   :inherited-members:
   :show-inheritance:

.. autoclass:: magic_pdf.data.io.http.HttpWriter
   :members:
   :inherited-members:
   :show-inheritance:

